#!/usr/local/bin/perl

use strict;
use DBI;
use Digest::MD5 qw(md5_hex);

my $dbh = DBI->connect('dbi:mysql:test', 'root', '', {
    RaiseError => 1,
}) or die $DBI::errstr;
$dbh->do(<<'CREATE_TABLE');
CREATE TABLE mytable (
    id INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
    body VARCHAR(32) NOT NULL
)
CREATE_TABLE

my $i = 0;
while ($i < 100_000) {
    my $str = md5_hex({}. rand(100_000));
    $dbh->do('INSERT INTO mytable (body) VALUES(?)', undef, $str);
    $i++;
}
$dbh->disconnect;
